Index: fedd/abac-src/ttg/test/simple/CVS/Entries
===================================================================
--- fedd/abac-src/ttg/test/simple/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+D
Index: fedd/abac-src/ttg/test/simple/CVS/Entries.Log
===================================================================
--- fedd/abac-src/ttg/test/simple/CVS/Entries.Log	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/CVS/Entries.Log	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,2 @@
+A D/medsup////
+A D/sweden////
Index: fedd/abac-src/ttg/test/simple/CVS/Repository
===================================================================
--- fedd/abac-src/ttg/test/simple/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+ttg/test/simple
Index: fedd/abac-src/ttg/test/simple/CVS/Root
===================================================================
--- fedd/abac-src/ttg/test/simple/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+:ext:jjacobs@src.columbia.sparta.com/cvs/abac
Index: fedd/abac-src/ttg/test/simple/medsup/CVS/Entries
===================================================================
--- fedd/abac-src/ttg/test/simple/medsup/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/medsup/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,4 @@
+/alice.txt/1.3/Thu Dec  5 23:49:34 2002//
+/go/1.1/Thu Dec  5 23:58:12 2002//
+/medsup.txt/1.4/Thu Dec  5 23:57:39 2002//
+D
Index: fedd/abac-src/ttg/test/simple/medsup/CVS/Repository
===================================================================
--- fedd/abac-src/ttg/test/simple/medsup/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/medsup/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+ttg/test/simple/medsup
Index: fedd/abac-src/ttg/test/simple/medsup/CVS/Root
===================================================================
--- fedd/abac-src/ttg/test/simple/medsup/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/medsup/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+:ext:jjacobs@src.columbia.sparta.com/cvs/abac
Index: fedd/abac-src/ttg/test/simple/medsup/alice.txt
===================================================================
--- fedd/abac-src/ttg/test/simple/medsup/alice.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/medsup/alice.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,41 @@
+[EntityID]
+Alice
+
+[SelfReachable]
+MedixFund.purchasingA<--Alice
+ReliefNet.provisioner<--MedixFund.purchasingA
+
+[PolicyReachable]
+MedixFund.cPartner<--ReliefNet.member
+
+[IssuerTracesAll]
+cPartner
+
+[IssuerTracesDef]
+
+[SubjectTraceable]
+purchasingA
+provisioner
+member
+r
+
+[AccessControl]
+MedixFund.purchasingA<-Alice=true
+
+[AckPolicy]
+MedixFund.purchasingA=MedixFund.cPartner
+
+[Strategy]
+type=default
+
+# Initial configuration for Alice
+# Initial configuration for MedSup
+#
+#[Credentials]
+#MedSup.discount<--ReliefNet.provisioner
+#ReliefNet.member<--MedSup
+#
+#[Access Control]
+#
+#
+#[Ack]
Index: fedd/abac-src/ttg/test/simple/medsup/go
===================================================================
--- fedd/abac-src/ttg/test/simple/medsup/go	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/medsup/go	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+java com.nailabs.abac.test.TestEngine alice.txt medsup.txt
Index: fedd/abac-src/ttg/test/simple/medsup/medsup.txt
===================================================================
--- fedd/abac-src/ttg/test/simple/medsup/medsup.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/medsup/medsup.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,39 @@
+# Initial configuration for MedSup
+[EntityID]
+MedSup
+
+[SelfReachable]
+ReliefNet.member<--MedSup
+
+[PolicyReachable]
+MedSup.discount<--ReliefNet.provisioner
+
+[IssuerTracesAll]
+discount
+
+[IssuertracesDef]
+
+[SubjectTraceable]
+member
+provisioner
+
+[Access Control]
+
+[AckPolicy]
+
+[Strategy]
+type=default
+
+# <Alice>
+#
+#[Credentials]
+#MedixFund.PurchasingA<--A
+#ReliefNet.provisioner<--MedixFund.purchasingA
+#MedixFund.cPartner<--ReliefNet.member
+#
+#[Access Control]
+#MedixFund.purchasingA<--Alice		true
+#
+#[Ack]
+#MedixFund.purchasingA		MedixFund.cPartner
+#
Index: fedd/abac-src/ttg/test/simple/sweden/CVS/Entries
===================================================================
--- fedd/abac-src/ttg/test/simple/sweden/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/sweden/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,4 @@
+/SEAdmiraltyKDR.txt/1.5/Fri Dec  6 18:50:19 2002//
+/USSHoward.txt/1.4/Thu Jan 16 01:18:13 2003//
+/test/1.1/Tue Oct 22 17:07:31 2002//
+D
Index: fedd/abac-src/ttg/test/simple/sweden/CVS/Repository
===================================================================
--- fedd/abac-src/ttg/test/simple/sweden/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/sweden/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+ttg/test/simple/sweden
Index: fedd/abac-src/ttg/test/simple/sweden/CVS/Root
===================================================================
--- fedd/abac-src/ttg/test/simple/sweden/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/sweden/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+:ext:jjacobs@src.columbia.sparta.com/cvs/abac
Index: fedd/abac-src/ttg/test/simple/sweden/SEAdmiraltyKDR.txt
===================================================================
--- fedd/abac-src/ttg/test/simple/sweden/SEAdmiraltyKDR.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/sweden/SEAdmiraltyKDR.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,33 @@
+# Initial configuration for SEAdmiraltyKDR
+[EntityID]
+SAdmir
+
+[SelfReachable]
+SE.usr<--SAdmir
+
+[PolicyReachable]
+SAdmir.getsSLocs<--USEUCOM.NRetTacUsr  
+SAdmir.getsSLocs<--SE.usr  
+
+[IssuerTracesAll]
+getsSLocs
+friendlyUsr
+
+[IssuerTracesDef]
+
+[SubjectTraceable]
+NRetTacUsr
+assignedNRet
+usr
+
+[AccessControl]
+
+[AckPolicy]
+#SE.usr=USN.assignedNRet
+#The above line tests cyclic dependencies in the Ack policy
+
+[Strategy]
+type=default
+
+
+
Index: fedd/abac-src/ttg/test/simple/sweden/USSHoward.txt
===================================================================
--- fedd/abac-src/ttg/test/simple/sweden/USSHoward.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/sweden/USSHoward.txt	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,33 @@
+# Initial configuration for USSHoward
+[EntityID]
+USSH
+
+[SelfReachable]
+USEUCOM.NRetTacUsr<--USN.assignedNRet
+USN.assignedNRet<--USSH
+
+[PolicyReachable]
+US.friendlyUsr<--SE.usr
+US.friendlyUsr<--US.usr
+
+[IssuerTracesAll]
+friendlyUsr
+
+[IssuerTracesDef]
+getsSLocs
+
+[SubjectTraceable]
+NRetTacUsr
+assignedNRet
+usr
+
+[AccessControl]
+# Do we have to give a policy for the credential defining the sensitive role?
+
+[AckPolicy]
+USN.assignedNRet=US.friendlyUsr
+
+[Strategy]
+type=default
+
+
Index: fedd/abac-src/ttg/test/simple/sweden/test
===================================================================
--- fedd/abac-src/ttg/test/simple/sweden/test	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/simple/sweden/test	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,2 @@
+java com.nailabs.abac.test.TestEngine USSHoward.txt SEAdmiraltyKDR.txt "SAdmir: SAdmir.getsSLocs <<-?- USSH"
+
